Skip to content
Ona Docs

ListSSOLogins

POST/gitpod.v1.AccountService/ListSSOLogins

ListSSOLogins

Query ParametersExpand Collapse
token: optional string
pageSize: optional number
maximum100
minimum0
Body ParametersJSONExpand Collapse
email: string

email is the email the user wants to login with

formatemail
returnTo: optional string

return_to is the URL the user will be redirected to after login

formaturi
ReturnsExpand Collapse
logins: optional array of object { displayName, loginUrl }
displayName: string

provider is the provider used by this login method, e.g. “github”, “google”, “custom”

loginUrl: string

login_url is the URL to redirect the user to for SSO login

ListSSOLogins

curl https://app.gitpod.io/api/gitpod.v1.AccountService/ListSSOLogins \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "email": "dev@stainless.com"
        }'
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "logins": [
    {
      "displayName": "displayName",
      "loginUrl": "loginUrl"
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "logins": [
    {
      "displayName": "displayName",
      "loginUrl": "loginUrl"
    }
  ]
}